<?php
// phpcs:ignoreFile
/**
 * @file
 * A database agnostic dump for testing purposes.
 *
 * This file was generated by the Drupal 9.2.4 db-tools.php script.
 */

use Drupal\Core\Database\Database;

$connection = Database::getConnection();

$connection->schema()->createTable('system', array(
  'fields' => array(
    'filename' => array(
      'type' => 'varchar',
      'not null' => TRUE,
      'length' => '255',
      'default' => '',
    ),
    'name' => array(
      'type' => 'varchar',
      'not null' => TRUE,
      'length' => '255',
      'default' => '',
    ),
    'type' => array(
      'type' => 'varchar',
      'not null' => TRUE,
      'length' => '12',
      'default' => '',
    ),
    'owner' => array(
      'type' => 'varchar',
      'not null' => TRUE,
      'length' => '255',
      'default' => '',
    ),
    'status' => array(
      'type' => 'int',
      'not null' => TRUE,
      'size' => 'normal',
      'default' => '0',
    ),
    'bootstrap' => array(
      'type' => 'int',
      'not null' => TRUE,
      'size' => 'normal',
      'default' => '0',
    ),
    'schema_version' => array(
      'type' => 'int',
      'not null' => TRUE,
      'size' => 'small',
      'default' => '-1',
    ),
    'weight' => array(
      'type' => 'int',
      'not null' => TRUE,
      'size' => 'normal',
      'default' => '0',
    ),
    'info' => array(
      'type' => 'blob',
      'not null' => FALSE,
      'size' => 'normal',
    ),
  ),
  'primary key' => array(
    'filename',
  ),
  'indexes' => array(
    'system_list' => array(
      'status',
      'bootstrap',
      'type',
      'weight',
      'name',
    ),
    'type_name' => array(
      'type',
      'name',
    ),
  ),
  'mysql_character_set' => 'utf8mb3',
));

$connection->insert('system')
->fields(array(
  'filename',
  'name',
  'type',
  'owner',
  'status',
  'bootstrap',
  'schema_version',
  'weight',
  'info',
))
->values(array(
  'filename' => 'modules/system/system.module',
  'name' => 'system',
  'type' => 'module',
  'owner' => '',
  'status' => '1',
  'bootstrap' => '0',
  'schema_version' => '7084',
  'weight' => '0',
  'info' => 'a:14:{s:4:"name";s:6:"System";s:11:"description";s:54:"Handles general site configuration for administrators.";s:7:"package";s:4:"Core";s:7:"version";s:4:"7.84";s:4:"core";s:3:"7.x";s:5:"files";a:6:{i:0;s:19:"system.archiver.inc";i:1;s:15:"system.mail.inc";i:2;s:16:"system.queue.inc";i:3;s:14:"system.tar.inc";i:4;s:18:"system.updater.inc";i:5;s:11:"system.test";}s:8:"required";b:1;s:9:"configure";s:19:"admin/config/system";s:7:"project";s:6:"drupal";s:9:"datestamp";s:10:"1639410569";s:5:"mtime";i:1639410569;s:12:"dependencies";a:0:{}s:3:"php";s:5:"5.2.4";s:9:"bootstrap";i:0;}',
))
->values(array(
  'filename' => 'sites/all/modules/contrib/eu_cookie_compliance/eu_cookie_compliance.module',
  'name' => 'eu_cookie_compliance',
  'type' => 'module',
  'owner' => '',
  'status' => '1',
  'bootstrap' => '0',
  'schema_version' => '7019',
  'weight' => '0',
  'info' => 'a:11:{s:4:"name";s:20:"EU Cookie Compliance";s:11:"description";s:80:"This module aims at making the web site compliant with the EU cookie regulation.";s:4:"core";s:3:"7.x";s:9:"configure";s:40:"admin/config/system/eu-cookie-compliance";s:12:"dependencies";a:1:{i:0;s:6:"ctools";}s:5:"mtime";i:1643890866;s:7:"package";s:5:"Other";s:7:"version";N;s:3:"php";s:5:"5.2.4";s:5:"files";a:0:{}s:9:"bootstrap";i:0;}',
))
->execute();

$connection->schema()->createTable('variable', array(
  'fields' => array(
    'name' => array(
      'type' => 'varchar',
      'not null' => TRUE,
      'length' => '128',
      'default' => '',
    ),
    'value' => array(
      'type' => 'blob',
      'not null' => TRUE,
      'size' => 'big',
    ),
  ),
  'primary key' => array(
    'name',
  ),
  'mysql_character_set' => 'utf8mb3',
));

$connection->insert('variable')
->fields(array(
  'name',
  'value',
))
->values(array(
  'name' => 'eu_cookie_compliance',
  'value' => "a:56:{s:13:\"popup_enabled\";i:1;s:6:\"method\";s:6:\"opt_in\";s:13:\"info_template\";s:3:\"new\";s:30:\"enable_save_preferences_button\";i:1;s:29:\"save_preferences_button_label\";s:16:\"Save preferences\";s:34:\"accept_all_categories_button_label\";s:18:\"Accept all cookies\";s:20:\"disabled_javascripts\";s:19:\"public://example.js\";s:25:\"automatic_cookies_removal\";i:1;s:15:\"allowed_cookies\";s:19:\"category:cookie_123\";s:22:\"consent_storage_method\";s:12:\"do_not_store\";s:27:\"popup_clicking_confirmation\";b:0;s:10:\"popup_info\";a:2:{s:5:\"value\";s:132:\"<h2>We use cookies on this site to enhance your user experience</h2><p>By clicking the Accept button, you agree to us doing so!!</p>\";s:6:\"format\";s:9:\"full_html\";}s:18:\"use_mobile_message\";i:1;s:17:\"mobile_popup_info\";a:2:{s:5:\"value\";s:15:\"<h2>Mobile</h2>\";s:6:\"format\";s:9:\"full_html\";}s:17:\"mobile_breakpoint\";s:3:\"768\";s:26:\"popup_agree_button_message\";s:11:\"OK, I agree\";s:20:\"show_disagree_button\";b:1;s:29:\"popup_disagree_button_message\";s:21:\"No, give me more info\";s:21:\"disagree_button_label\";s:10:\"No, thanks\";s:16:\"withdraw_enabled\";i:1;s:29:\"withdraw_button_on_info_popup\";i:0;s:16:\"withdraw_message\";a:2:{s:5:\"value\";s:125:\"<h2>We use cookies on this site to enhance your user experience</h2><p>You have given your consent for us to set cookies.</p>\";s:6:\"format\";s:9:\"full_html\";}s:25:\"withdraw_tab_button_label\";s:16:\"Privacy settings\";s:28:\"withdraw_action_button_label\";s:16:\"Withdraw consent\";s:20:\"popup_agreed_enabled\";i:1;s:17:\"popup_hide_agreed\";i:1;s:12:\"popup_agreed\";a:2:{s:5:\"value\";s:108:\"<h2>Thank you for accepting cookies</h2><p>You can now hide this message or find out more about cookies.</p>\";s:6:\"format\";s:9:\"full_html\";}s:30:\"popup_find_more_button_message\";s:9:\"More info\";s:25:\"popup_hide_button_message\";s:4:\"Hide\";s:10:\"popup_link\";s:25:\"http://privacy_policy.com\";s:21:\"popup_link_new_window\";i:1;s:21:\"cookie_policy_version\";s:5:\"1.0.0\";s:18:\"containing_element\";s:4:\"body\";s:14:\"popup_position\";b:0;s:12:\"use_bare_css\";i:0;s:14:\"popup_text_hex\";s:3:\"fff\";s:12:\"popup_bg_hex\";s:6:\"0779bf\";s:12:\"popup_height\";s:2:\"50\";s:11:\"popup_width\";s:4:\"100%\";s:18:\"fixed_top_position\";i:1;s:11:\"popup_delay\";s:4:\"1000\";s:26:\"disagree_do_not_show_popup\";i:1;s:11:\"reload_page\";i:1;s:28:\"popup_scrolling_confirmation\";b:0;s:11:\"cookie_name\";s:10:\"Chocochips\";s:22:\"cookie_value_disagreed\";s:1:\"0\";s:34:\"cookie_value_agreed_show_thank_you\";s:1:\"1\";s:19:\"cookie_value_agreed\";s:1:\"2\";s:14:\"domains_option\";s:1:\"1\";s:12:\"domains_list\";s:4:\"http\";s:13:\"exclude_paths\";s:16:\"node/11\r\nblog/21\";s:19:\"exclude_admin_pages\";i:1;s:13:\"exclude_uid_1\";i:1;s:12:\"script_scope\";s:6:\"footer\";s:33:\"better_support_for_screen_readers\";i:1;s:14:\"cookie_session\";i:0;}",
))
->values(array(
  'name' => 'eu_cookie_compliance_categories',
  'value' => 'a:2:{s:10:"category_1";a:5:{s:6:"weight";i:0;s:12:"machine_name";s:10:"category_1";s:5:"label";s:10:"Category 1";s:11:"description";s:14:"Test category.";s:22:"checkbox_default_state";s:7:"checked";}s:10:"category_2";a:5:{s:6:"weight";i:0;s:12:"machine_name";s:10:"category_2";s:5:"label";s:10:"Category 2";s:11:"description";s:9:"asdfghjkl";s:22:"checkbox_default_state";s:8:"required";}}',
))
->values(array(
  'name' => 'eu_cookie_compliance_cookie_lifetime',
  'value' => 's:2:"99";',
))
->values(array(
  'name' => 'eu_cookie_compliance_domain',
  'value' => 's:19:"www.drupal7ama.test";',
))
->values(array(
  'name' => 'eu_cookie_compliance_domain_all_sites',
  'value' => 'i:1;',
))
->execute();
